/*
Theme Name: Salient Child Theme
Description: This is a custom child theme for Salient
Theme URI:   https://themeforest.net/item/salient-responsive-multipurpose-theme/4363266
Author: ThemeNectar
Author URI:  https://themeforest.net/user/themenectar
Template: salient
Version: 1.0
*/

/* BOTÕES */
.book_homepage {
	transform: translateY(33vh);
}
.btn-container {
  display: flex;
}
.bt-direita {
  justify-content: end;
}
.simple-button-container {
  display: flex;
}

.bt-border:hover {
    background-color: #D96321;
    border-color: #D96321;
}
.bt-border-laranja:hover {
    border-color: #F5F5F5 !important;
    background-color: #F5F5F5 !important;
}

a.button {
  border-radius: 50px;
  padding: 0px 30px;
  display: flex;
}

a.button.white {
  background-color: #fff;
}

a.button-img.white {
  background: #fff;
}

a.button.black {
  background-color: #000;
}

a.button-img.black {
  background: #000;
}

a.button-img {
  border-radius: 50px;
  padding: 0px 10px;
  display: flex;
}

img.icon {
  margin: 0 !important;
}

a.button.black span {
  font-size: 16px !important;
  color: #fff !important;
}

a.button.white span {
  font-size: 16px !important;
  color: #000 !important;
}

.two-button-container {
  display: flex;
  gap: 50px;
}

a.simple-button {
  padding: 0px 50px;
  border-radius: 50px;
}

a.simple-button.white {
  border: 1px solid #fff;
}

a.simple-button span, .button.bt-border.bt-border-laranja, .bt-border {
  font-size: 16px !important;
}

a.simple-button.white span {
  color: #fff !important;
}
a.button.blue span {
  font-size: 16px !important;
  color: #fff !important;
}

a.simple-button.blue span {
  color: #2E4650 !important;
}

a.button.blue {
  background-color: #2E4650;
}

a.button-img.blue {
  background: #2E4650;
}

a.bt-border {
    border: 1px solid #000;
}
.view_plus_book {
	display: flex;
	gap: 10px;
	justify-content: flex-end;
}
.button-img.blue, .button-img.white, .button-img.black {
	max-width: 40px !important;
}
/* THE BEST DEAL CAROUSEL */
.carousel_quartos .flickity-page-dots {
    transform: translateY(-6em) !important;
}
.carousel_quartos .flickity-page-dots .dot::before {
	box-shadow: inset 0 0 0 1px #fff !important;
}


/* WIDGET BOOKING */

div#roi-search-engine {
  width: 100% !important;
}


/*

.roi-overlay.js-roi-overlay {
  background: #000000 !important;
  opacity: 0.8 !important;
}
div#roi-search-engine {
  background: #161616 !important;
}
*/
div#roi-engine-container *:not(button.roi-search-engine__field.roi-search-engine__field--action,
  .roi-search-engine__occupancy-wrap span) {
  color: #000 !important;
}
.roi-search-engine__occupancy-wrap span {
  color: #000 !important;
}

button.roi-search-engine__occupancy-button.js-roi-search-engine-occupancy-summary svg {
  fill: #161616 !important;
}
.book_homepage .vc_custom_1747153261401, .book_pages .vc_custom_1747153261401 {
  background-color: #f8f8f863 !important;
}
div#roi-search-engine {
  background-color: transparent !important;
}
body:not(:has(.bookable)) .roi-engine-container .roi-search-engine:not(.roi-search-engine--vertical, .engine--fixed, .roi-search-engine--fixed).roi-search-engine--clean .roi-search-engine__label--promo + .roi-search-engine__field--promo {
  top: 0 !important;
}

.roi-search-engine--clean .roi-search-engine__item--dates,
.roi-search-engine--clean .roi-search-engine__item--destination,
.roi-search-engine--clean .roi-search-engine__item--occupancy,
.roi-search-engine--clean .roi-search-engine__item--promo {
  border: none !important;
}

form.roi-search-engine__form.roi-search-engine__form--shadow {
  box-shadow: none !important;
}

.roi-search-engine--clean .roi-search-engine__form,
.roi-search-engine--clean .roi-search-engine__item {
  padding-top: 1%;
  padding-bottom: 1%;
  padding-right: 1%;
}

button.roi-search-engine__field.roi-search-engine__field--action {
  background: #000 !important;
  color: #fff !important;
}

div#roi-engine-container {
  margin-bottom: 15px !important;
  margin-top: 15px !important;
}

form.roi-search-engine__form.roi-search-engine__form--shadow {
  justify-content: space-between;
}

.roi-search-engine__item.roi-search-engine__item--occupancy.roi-search-engine__item--occupancy-dropdown.roi-search-engine-occupancy--v1.js-roi-search-engine-occupancy-container {
  flex: 0 0 20%;
}

.roi-search-engine__form {
  -webkit-box-align: flex-start !important;
  -ms-flex-align: flex-start !important;
  align-items: flex-start !important;
}

input#id_codpromo-widget-0 {
  border-bottom: 1px solid white;
}

/*Home*/

@media only screen and (min-width: 1000px) {
    
.carousel_sleep .wpb_raw_code.wpb_raw_html.wpb_content_element {
	bottom: 0 !important;
	position: fixed !important;
}
.carousel_sleep .wpb_text_column.wpb_content_element:first-child .wpb_wrapper {
		top: 1em !important;
	position: relative !important;
} 
.carousel_sleep p {
	text-align: justify;
}
}
.carousel_sleep .two-button-container {
  margin-bottom: 25px !important;
} 
/* @media (min-width: 999px) {
  .carousel_sleep .wpb_text_column.wpb_content_element:first-child .wpb_wrapper {
		top: 1em !important;
	position: relative !important;
} 
.carousel_sleep p {
	text-align: justify;
}
} */

p {
  padding-bottom: 0px;
}

.bulletsLaranja .toggle>.toggle-title a i {
  background-color: #d96321;
  color: #ffffff;
  border: #d96321;
}

.bulletsLaranja div[data-style="minimal"] .toggle>.toggle-title i:before {
  background-color: #ffffff;
}

.bulletsLaranja div[data-style="minimal"] .toggle>.toggle-title i:after {
  background-color: #ffffff;
}

.bulletsLaranja div[data-style*=minimal] .toggle>.toggle-title i {
  border: 2px solid #d96321;
}

.bulletsLaranja .toggle>.toggle-title a i {
  background-color: #d96321;
  color: #ffffff;
  border: #d96321;
}

.bulletsPretos .toggle>.toggle-title a i {
  background-color: #000000;
  color: #ffffff;
  border: #000000;
}

.bulletsPretos div[data-style="minimal"] .toggle>.toggle-title i:before {
  background-color: #ffffff;
}

.bulletsPretos div[data-style="minimal"] .toggle>.toggle-title i:after {
  background-color: #ffffff;
}

.bulletsPretos div[data-style*=minimal] .toggle>.toggle-title i {
  border: 2px solid #000000;
}

#ajax-content-wrap .bulletsLaranja .nectar-inherit-h4,
#ajax-content-wrap .bulletsPretos .nectar-inherit-h4 {
  line-height: 15px;
}

div[data-style="minimal"] .toggle {
  border-bottom: 1px solid rgba(0, 0, 0, 1);
  transition: border-color 0.15s ease;
}
.carousel_homepage .flickity-viewport {
	margin-bottom: 30px !important;
	margin-top: 70px !important;
}

/*Footer*/
.menuFooter {
  font-size: 20px;
}

.menuPoliticasRedes {
  font-size: 16px;
}
.menuPoliticasRedes a, .menuFooter a {
  font-family: Sharp Sans Book;
  text-transform: uppercase;
}

#footer-outer #copyright[data-layout="centered"] {
  padding: 15px 0;
}

body #footer-outer #copyright {
  font-size: 13px;
  font-weight: 300 !important;
}


/* Book section */

@media (max-width: 600px) {
  body[data-form-submit=regular] .container-wrap button[type=submit] {
    width: 100% !important;
    max-height: 60px;
  }

  .roi-search-engine__item.roi-search-engine__item--occupancy.roi-search-engine__item--occupancy-dropdown.roi-search-engine-occupancy--v1.js-roi-search-engine-occupancy-container {
    flex: 1 1 0%;
  }
}

@media (max-width: 999px) {
  div#footer-widgets {
    display: none;
  }
	.floating-bar-wrapper, .form-cover button[type="submit"]::after  {
	display: none !important;
}
	body[data-form-submit="regular"] .container-wrap .form-cover button[type="submit"] {
		transform: translateX(0) !important;
	}
	    .roi-search-engine__occupancy-input--age option, .roi-search-engine__occupancy-input--age , .roi-search-engine__occupancy-input {
	padding: 0px !important;
}
}

.hiddenElements {
  visibility: hidden !important;
}


.nectar-flickity[data-controls*=arrows_overlaid] .flickity-prev-next-button.next {
  top: -20px !important;
  right: 10px;
}

.nectar-flickity[data-controls*=arrows_overlaid] .flickity-prev-next-button.previous {
  top: -20px !important;
  left: 10px;
}

/* ----- Barra Lateral ----- */
.floating-bar-wrapper {
  position: fixed;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
  height: auto;
  z-index: 1050;
  width: 60px; 
  user-select: none;
}

.floating-bar {
  background-color: #1d1d1d;
  padding: 20px 0;
  border-top-left-radius: 25px;
  border-bottom-left-radius: 25px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1.5em;
  width: 60px;
  box-sizing: border-box;
}

.floating-bar img {
  width: 25px !important;
  height: auto;
  transition: transform 0.3s;
  display: block;
}

.floating-bar a:hover img {
  transform: scale(1.2);
  cursor: pointer;
  background-color: #d96321;
  border-radius: 5px;
}
.floating-bar-wrapper.panel-active .floating-bar {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}
.floating-bar-panel {
  position: absolute;
  top: 0;
  right: 100%; 
  height: 100%;
  width: 25em; 
  color: white;
  border-top-left-radius: 25px;
  border-bottom-left-radius: 25px;
  padding: 20px;
  box-sizing: border-box;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  font-size: 14px;
  user-select: none;
  white-space: normal;
  z-index: 1049;
}

.nav_bar_calendario, .nav_bar_email, .nav_bar_telefone , .nav_bar_route {
  display: flex;
  flex-direction: column; 
  gap: 10px; 
  background: #1d1d1d;
  padding: 20px;
  border-radius: 10px 0 0 10px;
  position: absolute;
  right: 100%;
  top: 0;
  height: 100%;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s;
}
.barra_lateral_booktable, .barra_lateral_bookroom {
  background-size: cover;
  background-repeat: no-repeat;
  padding: 20px;
  width: 100%;
  height: 50%;
  border-radius: 10px;
  font-size: 20px;
  line-height: 26px;
  font-family: TiemposFine Regular;
  color: #fff;
  display: flex;
  align-items: center;   
  justify-content: center;
  text-align: center;
  
}
.barra_lateral_booktable {
  background-image: url("https://inspirahotels.com/inspira-santos/wp-content/uploads/2026/03/Untitled-498-x-133-px.png");
  
}
.barra_lateral_bookroom {
  background-image: url("/inspira-santos/wp-content/uploads/2025/10/Untitled-design-15.png");
}
.barra_lateral_booktable::before,
.barra_lateral_bookroom::before {
  content: "";
  position: absolute;
  top: 0; left: 0; right: 0; bottom: 0;
  background-color: rgba(0, 0, 0, 0.6); 
  z-index: 1;
  transition: opacity 0.5s ease;
}

.barra_lateral_booktable,
.barra_lateral_bookroom {
  position: relative;
  z-index: 0;
}

.barra_lateral_booktable span,
.barra_lateral_bookroom span {
  position: relative;
  z-index: 2;
  transition: opacity 0.5s ease;
}
.barra_lateral_booktable:hover::before,
.barra_lateral_bookroom:hover::before {
  opacity: 0;
  transition-delay: 0s;
}

.barra_lateral_booktable:hover span,
.barra_lateral_bookroom:hover span {
  opacity: 0;
  transition-delay: 0.2s;
}
/* BT EMAIL*/
.nav_bar_email h3, .nav_bar_telefone h3 , .nav_bar_route h3 {
  font-size: 1.5em;
  line-height: 1.5em;
  margin-bottom: 0px;
  color:  #fff;
  font-family: TiemposFine Regular;
}
.nav_bar_email p ,.nav_bar_telefone p , .nav_bar_route p {
  font-size: 1em;
  line-height: 2em;
  font-family: TiemposFine Regular;
}
.botoes_nav_bar a.button-img img {
  filter: invert(1);
  width: auto;
  height: 20px;
  display: flex;
}
.botoes_nav_bar a.button-img {
  align-items: center !important;   
  justify-content: center !important;
  text-align: center !important;
}
.botoes_nav_bar a.button.white span {
	font-size: 16px !important;
	line-height: 30px; 
	display: flex;  
	align-items: center;
	justify-content: center;
	text-align: center;
}

.floating-bar-wrapper a.button {
	border-radius: 50px;
	padding: 5px 30px;
	display: flex;
}
#header-outer[data-lhe="default"] #top nav > ul > li > a:hover {
	color: #fff !important;
}
#header-outer[data-lhe="default"] #top nav .sf-menu > .current-menu-item > a {
	color: #fff !important;
}
#top nav ul li.menu-item-782 a {
	color: #fff !important;
	background-color: #d96321 !important;
	border: 1px solid #d96321;
	border-radius: 4px;
	margin-right: 15px;
}
#header-outer[data-lhe="default"] #top nav > ul > li.menu-item-782 > a:hover {
	color: #d96321 !important;
}

#top nav ul li.menu-item-782 a:hover {
	color: #d96321 !important;
	border-color: #fff !important;
	background-color: #fff !important;
}
#top nav ul li.menu-item-782.current-menu-item a {
	border-color: #fff !important;
}
/* Sustainability */
.sustainability_desc {
    min-height: 9em;
}
/* MENU */
.menu-item a:hover {
	transform: scale(1.1);
}
.menu-item a {
	transition: transform 0.7s ease !important;
}
/* POP UP */
body.material .nectar-button.large.bt_popUp_new {
	padding: 22px !important;
}
body.material .nectar-button.large.bt_popUp_new span {
	font-weight: 400 !important;
}
#popmake-859 h2 {
    line-height: 30px;
}
#popmake-859 .wpb_text_column {
	margin-bottom: 1em;
}
#popmake-859 {
	padding: 110px 50px 30px 50px;
}

#popmake-859 .pum-close.popmake-close {
	margin: 40px 0px 0px 50px !important;
	font-size: 0px;
	line-height: 0px !important;
	border-radius: 50% !important;
}
#popmake-859 .pum-close.popmake-close::after {
	content: url("https://inspirahotels.com/inspira-santos/wp-content/uploads/2025/07/icon_bola_seta-popUp.svg");
}
#popmake-859 .pum-close.popmake-close:hover::after {
    content: url("https://inspirahotels.com/inspira-santos/wp-content/uploads/2025/07/icon_bola_seta-popUp_laranja.svg");
}



.top-logo-bar {
  background-color: #000;
  border-bottom: 2px solid #D96321;
  padding: 5px 0 0 0;
  text-align: center;
  z-index: 99999;
  position: relative;
}

.top-logo-bar a.top-logo-link {
  display: inline-block;
}

.top-logo-bar img {
  max-height: 50px;
  height: auto;
  width: auto;
}
#header-outer #top .container .row {
  transform: translateY(45px) !important;
  transition: top 0.01s ease;
  max-height: 90px !important;
}
#header-space {
	max-height: 90px !important;
}
#header-outer.small-nav #top .container .row {
	transform: translateY(0px) !important;
}
/* ----- MOBILE ----- */

@media (max-width: 768px) {
/* POP UP */
#popmake-859 {
  width: 100% !important;
  left: 0 !important;
}
  /* HOME PAGE */
.carousel_homepage .flickity-viewport {
	margin: 20px 0px 10px 0px !important;
}
.tamanho_caixa {
	max-width: 250px !important;
}

/* BOTOES */
a.button {
  padding: 0px 15px !important;
}
a.simple-button span, a.button.blue span, a.button.black span, a.button.white span {
  font-size: 16px !important;
}
img.icon {
	max-width: 20px !important;
}

/* ACCOMMODATIONS */
.page-id-313 .nectar-flickity {
	margin-bottom: 0px !important;
}
#header-outer.scrolled-down #top .container .row {
	transform: translateY(0px) !important;
}
}
/* BOOK NOW DROP'S DOWN */
.roi-search-engine__occupancy-input--age option, .roi-search-engine__occupancy-input--age  {
    line-height: 18px !important;
	font-size: 18px !important;
	padding: 10px 5px !important;
}
.roi-search-engine__occupancy-input {
	padding: 0px 3px !important;
    line-height: 18px !important;
	font-size: 18px !important;
}
.roi-search-engine__occupancy-actions-wrap {
    background-color: #e6e6e6 !important;
}

.textoJustificado p {
  text-align: left !important;
}

.carousel_quartos .flickity-page-dots .dot::before {
    box-shadow: inset 0 0 0 1px #d96321 !important;
}

.nectar-flickity[data-control-style=material_pagination] .flickity-page-dots .dot.is-selected:before {
  background-color: #d96321 !important;
}

.linkshover {
  color: #ffffff !important;
}

.linkshover:hover {
  color: #d96321 !important;
}
.rotas_link {
  color: #d96321;
}

.carousel_sleep a {
  	color: #fff;
	text-decoration: underline;
}

.sf-menu .menu-title-text {
  text-transform: uppercase;
}

.descRoom {
  min-height: 165px;
}

body[data-button-style*="slightly_rounded"] #top nav > ul > li[class*="button_solid_color"] > a::before {
	border-radius: 50px !important;
}

#top nav > ul > li[class*="button_solid_color"] > a::before, #header-outer.transparent #top nav > ul > li[class*="button_solid_color"] > a::before {
	top: 10px !important;
}

.book_homepage {
  margin-bottom: 50px !important;
}

@media (max-width: 1387px) {
  #top nav > ul > li > a {
    font-size: 14px !important;
  }
}

.lang-dropdown {
  position: absolute;
  display: inline-block;
  right: 25px;
  top: 8px;
  font-size: 14px;
}

.lang-btn {
  background: transparent;
  color: #fff;
  border: 1px solid #fff;
  border-radius: 8px;
  padding: 6px 14px;
  font-size: 16px;
  cursor: pointer;
  display: flex;
  align-items: center;
  gap: 5px;
  font-size: 14px;
}

.lang-btn .arrow {
  font-size: 16px;
  color: #fff !important;
  top: 3px;
  position: relative;
}

.lang-options {
  display: none;
  position: absolute;
  top: 100%;
  left: 0;
  background: #000;
  border: 1px solid #fff;
  border-radius: 6px;
  list-style: none;
  margin: 6px 0 0;
  padding: 6px 0;
  min-width: 100%;
  z-index: 10;
}

.lang-options li {
  text-align: center;
  list-style: none;
  font-size: 14px;
  font-family: 'Open Sans', Helvetica, sans-serif;
}

.lang-options li a {
  display: block;
  padding: 6px 12px;
  color: #fff;
  text-decoration: none;
  font-weight: 500;
}

.lang-options li a:hover,
.lang-options li.active a {
  font-weight: 700;
  background: #111;
}

.lang-dropdown.open .lang-options {
  display: block;
}
function my_custom_popup_scripts() { ?>
  <script type="text/javascript">
    (function ($, document, undefined) {
      $('#pum-2907') // popup popmake-2907
        .on('pumAfterOpen', function () {
          var $popup = $(this);
          setTimeout(function () {
            $popup.popmake('close');
          }, 500); // 500 ms = 0.5 seconds; change as needed
        });
    }(jQuery, document));
  </script>
<?php }
add_action( 'wp_footer', 'my_custom_popup_scripts' );
